Export (0) Print
Expand All

UCMA 4.0 SDK software and hardware requirements

Last modified: August 16, 2013

Applies to: Lync 2013 | Lync Server 2013

This topic describes the software and hardware requirements for Microsoft Unified Communications Managed API 4.0 SDK.

The following are the software requirements for a successful installation of UCMA 4.0 SDK.

  • Supported operating systems

    • Microsoft Windows Server 2008 R2 SP1 or higher service pack, 64-bit version

    • Microsoft Windows Server 2012

    • Microsoft Windows 7 SP1 or higher service pack, 64-bit (see following note)

    Important note Important
    • UCMA 4.0 SDK is available only in a 64-bit version.

    • Windows XP and Windows Server 2008 are not supported.

    • Development is supported only in 64-bit environments.

    • The Desktop Experience feature must be enabled on Windows Server 2008 R2 SP1. For more information, see Desktop Experience Overview.

    • Media Foundation is required on Windows Server 2012.

  • Microsoft Windows PowerShell 3.0 RTM

    Important note Important

    To install PowerShell 3.0, see Windows Management Framework 3.0.

  • Microsoft .NET Framework 4.5

Notes

  • Side-by-side installations of UCMA 4.0 SDK and Microsoft Unified Communications Managed API (UCMA) 3.0 SDK are not supported.

  • When Windows Media format is installed or enabled, the computer must be restarted.

    Windows Media Format must be present if you use UCMA 4.0 to develop applications that play or record media.

  • UcmaSdkSetup.exe must be run with elevated privileges.

The following are the hardware requirements for successful installation of UCMA 4.0 SDK.

  • Typical current hardware configurations with a minimum of 2 GB of RAM are recommended for the supported operating systems.

Show:
© 2014 Microsoft